Inhalte
Index 🔎︎

# Funktion CreateUnoService

Instanziert einen Uno service am ProcessServiceManager.

## Syntax:

    oService = CreateUnoService( Uno service name )

Für eine Liste der verfügbaren Dienste besuchen Sie: https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star.html (englisch)

## Beispiele:

oIntrospection = CreateUnoService( "com.sun.star.beans.Introspection" )

Der folgende Code verwendet einen Dienst zum Aufrufen eines Dialogs zum Öffnen einer Datei:

    Sub Main
        fName = FileOpenDialog ("Bitte wählen Sie eine Datei")
        Print "Ausgewählte Datei: "+fName
    End Sub

    Function FileOpenDialog(title As String) As String
        filepicker = createUnoService("com.sun.star.ui.dialogs.FilePicker")
        filepicker.Title = title
        filepicker.execute()
        files = filepicker.getFiles()
        FileOpenDialog=files(0)
    End Function